package com.house365.ws.interfaces.server;

import com.house365.beans.entity.ExternalCustomerEntity;
import com.house365.beans.entity.UserEntity;
import com.house365.rest.context.IService;
import com.house365.ws.beans.request.MapListRequest;
import com.house365.ws.beans.response.MapListResponse;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2020/6/30.
 */
public interface IExternalCustomerInterface extends IService {

    ExternalCustomerEntity queryById(int id);

    int save(ExternalCustomerEntity entity);

    void update(ExternalCustomerEntity entity,UserEntity userEntity);

    List<ExternalCustomerEntity> queryByConditions(Map<String, Object> map);

    MapListResponse list(MapListRequest listRequest);

    Integer calling(String memPhone, Integer customerId, Integer userId);

    void handUp(Integer callbackLogId, String callContent, String buyIntention, Integer userId, String abandon);

    String getCRMCustomerURL(Integer customerId, String curid, String curname);
}
